// testcomm.cpp : implementation file
//

#include "stdafx.h"
#include "mushclient.h"
#include "testcomm.h"

#ifdef _DEBUG
//#define new DEBUG_NEW
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTestCommandDialog dialog


CTestCommandDialog::CTestCommandDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CTestCommandDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTestCommandDialog)
	m_command_text = _T("");
	//}}AFX_DATA_INIT
}


void CTestCommandDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTestCommandDialog)
	DDX_Text(pDX, IDC_TEST_COMMAND, m_command_text);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTestCommandDialog, CDialog)
	//{{AFX_MSG_MAP(CTestCommandDialog)
	ON_BN_CLICKED(IDC_HELPBUTTON, OnHelpbutton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CTestCommandDialog message handlers

void CTestCommandDialog::OnHelpbutton() 
{
//  OnCmdMsg(ID_HELP, CN_COMMAND, NULL, NULL);
	App.WinHelp(m_nIDHelp + HID_BASE_RESOURCE);
}
